// $Id: $
Drupal.behaviors.OGPrivateContent = function (context) {
  var OGPrivateContentCheckbox = $('#edit-og-private-content-wrapper .form-checkbox');
  var OGPrivateContentCheckIt = function(status) {
    $('.notifications-team div span strong').each(function(e){
      var hasPermission = false;
      for (var rid in Drupal.settings.og_private_content.roles) {
        if ($(this).is('.'+Drupal.settings.og_private_content.roles[rid])) {
          hasPermission = true;
        }
      }
      if (!hasPermission) {
        if (status) {
          $(this).parent().parent().hide();
        }
        else {
          $(this).parent().parent().show();
        }
      }
    });
  }
  
  // Initial state on page load
  if (OGPrivateContentCheckbox.is(':checked')) {
    OGPrivateContentCheckIt(true);
  }
  else {
    OGPrivateContentCheckIt(false);
  }
  
  OGPrivateContentCheckbox.click(function(e) {
    if (OGPrivateContentCheckbox.is(':checked')) {
      OGPrivateContentCheckIt(true);
    }
    else {
      OGPrivateContentCheckIt(false);
    }
  });
};